/* @(#) $Id: broccoli.h 529 2008-10-24 06:57:49Z leres $ (LBL) */
#ifndef acld_broccoli_h
#define acld_broccoli_h

#define ISBROCLIENT(cl) (CTYPE_BRO == cl->type)

#define EV_REQUEST_STR	"acld::acld_request";
#define EV_REPLY_STR	"acld::acld_reply";

#define EV_CMD          "cmd"
#define EV_SUCCESS      "success"
#define EV_COOKIE       "cookie"
#define EV_TIMESTAMP    "timestamp"
#define EV_COMMENT      "comment"
#define EV_PAYLOAD      "payload"
#define EV_TIME      	"time"

#ifdef __STDC__
struct client;
struct req;
struct state;
#endif
int broinit(struct state *, struct client *);
int broinput(struct client *);
void brosend(struct client *, struct req *);
#endif
