/* @(#) $Id: stats.h 529 2008-10-24 06:57:49Z leres $ (LBL) */

struct bucket {
	int count;
	int hiwater;
};

struct stats {
	struct bucket *cur;
	struct bucket *buckets;
	size_t len;
	int secs;
	long lasttime;
};

void stats_free(struct stats *);
int stats_gethiwater(struct stats *);
int stats_getrate(struct stats *);
void stats_init(struct stats *, size_t, int, const char *);
void stats_sethiwater(struct stats *, int);
void stats_setrate(struct stats *);
